Bug 730125 - "System" tab doesn't display name/version of OS when redhat-lsb not installed
Summary: "System" tab doesn't display name/version of OS when redhat-lsb not installed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 20:12 UTC by Dave Malcolm
Modified: 2014-06-18 09:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-06 20:06:49 UTC


Attachments (Terms of Use)
Add missing runtime requirement (676 bytes, patch)
2011-08-11 20:13 UTC, Dave Malcolm
no flags Details | Diff
screenshot (338.09 KB, image/png)
2011-11-01 11:07 UTC, Kamil Páral
no flags Details

Description Dave Malcolm 2011-08-11 20:12:26 UTC
Description of problem:
If redhat-lsb is not installed, the "System" tab of gnome-system-monitor doesn't display details from /etc/system-release: it doesn't name the OS as "Fedora", or give the version, or codename.

Root cause is that:
  gnome-system-monitor-3.1.3/src/sysinfo.cpp
invokes "lsb_release" to determine this information

Version-Release number of selected component (if applicable):
gnome-system-monitor-3.0.0-1.fc15.x86_64

How reproducible:
100%

Comment 1 Dave Malcolm 2011-08-11 20:13:12 UTC
Created attachment 517887 [details]
Add missing runtime requirement

Comment 2 Kamil Páral 2011-11-01 11:07:04 UTC
Created attachment 531110 [details]
screenshot

Confirmed. Added screenshot.

Comment 3 Fedora End Of Life 2012-08-06 20:06:49 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2012-08-06 20:06:49 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.